:root {
    --primary: #8D7B68;
    --cta: #38E54D;
    --dark: #0F0A0A;
    --verde: #ACC12F;
}

* {
    font-family: 'Montserrat', sans-serif;
}

html {
    scroll-behavior: smooth;
}

body {
    background-color: #f7f7f7;
}

p {
    font-size: .9rem;
}

a:hover {
    text-decoration: none;
}

.name-input {
    display: none;
    visibility: hidden;
}

#sobre,
header,
#contato,
#youtube,
#spotify {
    padding: 40px 0;
}

h2 {
    font-weight: bold;
    text-transform: uppercase;
    color: var(--verde);
}


@media (max-width: 768px) {
    h2 {
        font-size: 1.5rem;
    }
}

button:focus {
    outline: none;
}

.image-left img,
.image-right-down img {
    width: 100%;
    object-fit: cover;
    position: relative;
}

@media (max-width: 576px) {
    .image-right-down img {
        top: -2px;
    }
}

@media (max-width: 475px) {
    .image-left img {
        top: 3px;
    }

    .image-right-down img {
        top: -4px;
    }
}

@media (max-width: 360px) {
    .image-left img {
        top: 5px;
    }

    .image-right-down img {
        top: -6px;
    }
}

a.btn-contato {
    border: none;
    border: 2px solid var(--verde);
    display: inline-block;
    color: var(--verde);
    font-weight: bold;
    text-transform: uppercase;
    text-align: center;
    padding: 10px 20px;
    font-size: 1rem;
    transition: all .3s;
}

a.btn-contato:hover {
    background-color: #fff;
    color: #000;
    transform: scale(1.03);
    box-shadow: rgba(0, 0, 0, 0.24) 0px 3px 8px;
}


/* ENVIANDO FORM */
#enviando-form {
    position: fixed;
    top: 0;
    left: 0;
    z-index: 999;
    background-color: rgba(0, 0, 0, .6);
    width: 100%;
    height: 100vh;
    display: none;
}

#enviando-form.active {
    display: block;
}

#enviando-form .wrapper {
    width: 200px;
    height: 60px;
    position: absolute;
    left: 50%;
    top: 50%;
    transform: translate(-50%, -50%);
}

#enviando-form .circle {
    width: 20px;
    height: 20px;
    position: absolute;
    border-radius: 50%;
    background-color: #fff;
    left: 15%;
    transform-origin: 50%;
    animation: circle .5s alternate infinite ease;
}

@keyframes circle {
    0% {
        top: 60px;
        height: 5px;
        border-radius: 50px 50px 25px 25px;
        transform: scaleX(1.7);
    }

    40% {
        height: 20px;
        border-radius: 50%;
        transform: scaleX(1);
    }

    100% {
        top: 0%;
    }
}

#enviando-form .circle:nth-child(2) {
    left: 45%;
    background-color: var(--dark);
    animation-delay: .2s;
}

#enviando-form .circle:nth-child(3) {
    left: auto;
    right: 15%;
    animation-delay: .3s;
    background-color: var(--primary);
}

#enviando-form .shadow {
    width: 20px;
    height: 4px;
    border-radius: 50%;
    background-color: rgba(0, 0, 0, .5);
    position: absolute;
    top: 62px;
    transform-origin: 50%;
    z-index: -1;
    left: 15%;
    filter: blur(1px);
    animation: shadow .5s alternate infinite ease;
}

@keyframes shadow {
    0% {
        transform: scaleX(1.5);
    }

    40% {
        transform: scaleX(1);
        opacity: .7;
    }

    100% {
        transform: scaleX(.2);
        opacity: .4;
    }
}

#enviando-form .shadow:nth-child(4) {
    left: 45%;
    animation-delay: .2s
}

#enviando-form .shadow:nth-child(5) {
    left: auto;
    right: 15%;
    animation-delay: .3s;
}

#enviando-form .wrapper span {
    position: absolute;
    top: 75px;
    font-size: 20px;
    color: #fff;
    font-weight: bold;
    width: 400px;
    left: -50%;
    text-align: center;
}

@media (max-width: 576px) {
    #enviando-form .wrapper span {
        width: 280px;
        left: -20%;
    }

}

/* HEADER */
header {
    background-image: linear-gradient(rgba(0, 0, 0, .6), rgba(0, 0, 0, .6)), url(/assets/images/complementares/1.png);
    background-position: center;
    background-size: cover;
    background-repeat: no-repeat;
    min-height: 800px;
    color: #fff;
    display: flex;
    align-items: center;
}

header img {
    width: 200px;
    display: block;
    margin-bottom: 10px;
}

header .redes a {
    color: #fff;
    margin-right: 10px;
    transition: all .3s;
}

header .redes a:hover {
    color: var(--verde);
}

header .redes a i {
    font-size: 2rem;
}

header h4 {
    text-transform: uppercase;
}

header h2 {
    font-size: 5rem;
    color: var(--verde);
}

header a.btn-contato {
    margin-top: 30px;
}

@media (max-width: 576px) {
    header h2 {
        font-size: 4rem;
    }
}

/* VEJA AGORA */
#vejaagora {
    background-color: var(--primary);
    color: #fff;
    text-align: center;
    padding: 20px 0;
}

#vejaagora h2 {
    margin-bottom: 30px;
}

#vejaagora ul {
    list-style: none;
    padding: 0;
    display: flex;
    justify-content: center;
}

#vejaagora ul li {
    margin: 0 20px;
    width: 300px;
    text-align: center;
    padding-top: 10px;
}

#vejaagora ul li a {
    color: #fff;
    text-transform: uppercase;
    font-size: 1.2rem;
    padding-top: 10px;
    font-weight: 500;
}

#vejaagora ul li a::first-letter {
    text-transform: uppercase;
}

#vejaagora ul li a {
    color: #fff;
    position: relative;
}

#vejaagora ul li a::before {
    content: "";
    position: absolute;
    width: 100%;
    height: 3px;
    top: 0px;
    left: 0;
    background-color: var(--verde);
    visibility: hidden;
    -webkit-transform: scaleX(0);
    transform: scaleX(0);
    -webkit-transition: all 0.3s ease-in-out 0s;
    transition: all 0.3s ease-in-out 0s;
}

#vejaagora ul li a:hover::before {
    visibility: visible;
    -webkit-transform: scaleX(1);
    transform: scaleX(1);
}


@media (max-width: 768px) {
    #vejaagora ul {
        flex-wrap: wrap;
    }

    #vejaagora ul li {
        width: 100%;
        margin-bottom: 30px;
    }

    #vejaagora ul li a {
        font-size: 1.3rem;
    }
}

/* SOBRE */
#sobre h2 {
    font-size: 4rem;
    color: var(--verde);
}

#sobre h4 {
    text-transform: uppercase;
}

#sobre p {
    font-size: 1rem;
}

#sobre img {
    width: 100%;
}

/* SPOTIFY */
#spotify {
    background-color: var(--primary);
    color: #fff;
}

#spotify a.btn-contato {
    margin-top: 30px;
}


/* YOUTUBE */
#youtube .area-card-principal iframe {
    width: 100%;
    height: 500px;
    border: 8px solid var(--primary);
}

#youtube .area-opcoes {
    display: flex;
    justify-content: center;
    align-items: center;
    flex-wrap: wrap;
}

#youtube .area-opcoes .card-opcao {
    width: 300px;
    height: 200px;
    margin: 5px;
    cursor: pointer;
    transition: all .3s;
}

#youtube .area-opcoes .card-opcao.active {
    border: 8px solid var(--primary);
}

#youtube .area-opcoes .card-opcao:hover {
    transform: scale(1.03);
    box-shadow: rgba(0, 0, 0, 0.24) 0px 3px 8px;
}

#youtube .area-opcoes .card-opcao img {
    width: 100%;
    height: 100%;
    object-fit: cover;
}

/* CONTATO */
#contato {
    background-color: var(--primary);
    color: #fff;
}

#contato p {
    font-size: 1rem;
}

/* RODAPÉ */

footer {
    padding-top: 30px;
    background-color: var(--dark);
    color: #fff;
}

footer img {
    width: 150px;
    margin: 15px;
}

footer .logo {
    text-align: center;
}

footer ul {
    list-style: none;
    padding: 0;
}

footer ul li a,
footer ul li a:hover {
    color: #fff;
}

footer .desen {
    text-align: center;
}

footer .desen a {
    color: var(--cta);
    font-weight: bold;
}

/* WHATSAPP */

#modalWhatsapp button.cta {
    color: #000;
    border: 3px solid #000;
    background-color: transparent;
    font-size: 1rem;
    font-weight: 500;
    padding: 20px 40px;
    transition: all .5s;
    outline: none;
    width: 100%;
    transition: all .3s;
    font-weight: bold;
    text-transform: uppercase;
}

#modalWhatsapp button.cta:hover {
    color: #fff;
    background-color: #000;
    box-shadow: rgba(0, 0, 0, 0.24) 0px 3px 8px;
}

.btn-whatsapp-pulse {
    background: #25d366;
    color: white;
    z-index: 90;
    position: fixed;
    bottom: 20px;
    right: 40px;
    font-size: 40px;
    display: flex;
    justify-content: center;
    align-items: center;
    width: 0;
    height: 0;
    padding: 35px;
    text-decoration: none;
    border-radius: 50%;
    animation-name: pulse;
    animation-duration: 1.5s;
    animation-timing-function: ease-out;
    animation-iteration-count: infinite;
    cursor: pointer;
}

@keyframes pulse {
    0% {
        box-shadow: 0 0 0 0 rgba(37, 211, 102, 0.8);
    }

    80% {
        box-shadow: 0 0 0 14px rgba(37, 211, 102, 0);
    }
}

@media (max-width: 465px) {
    .btn-whatsapp-pulse {
        bottom: 40px;
    }
}